> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/oauth/oauth-2-authorization.md).

# OAuth 2 Authorization

Authorize your Collibra API calls.

## Request an access token.

> Obtain an access token that can be used to authorize Collibra API calls.

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Authorization API","version":"1.0.0"},"tags":[{"name":"OAuth 2 Authorization","description":"Authorize your Collibra API calls."}],"servers":[{"url":"/rest/oauth/v2"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"description":"Collibra REST API authentication with Basic HTTP Authentication (RFC 7617).\n\nAs specified in\n[Section 2.3.1 of RFC 6749](https://datatracker.ietf.org/doc/html/rfc6749#section-2.3.1), the client identifier is\nencoded using the `application/x-www-form-urlencoded` encoding algorithm, and the encoded value is used as\nthe username; the client secret is encoded using the same algorithm and used as the password.\n\nFor example, the client ID `urn:sys:env:2eeadf60-1a11-5170-7e57-000000000000:i:1cnxtsn` is URL-encoded to\n`urn%3Asys%3Aenv%3A2eeadf60-1a11-5170-7e57-000000000000%3Ai%3A1cnxtsn`, and this can be set as username.\n","type":"http","scheme":"basic"}},"schemas":{"AccessTokenRequest":{"type":"object","description":"See [Section 4.4.2 of RFC 6749](https://datatracker.ietf.org/doc/html/rfc6749#section-4.4.2).","properties":{"grant_type":{"type":"string","description":"Type of authorization. The only supported grant type is `client_credentials`."}},"required":["grant_type"]},"AccessTokenResponse":{"type":"object","description":"See [Section 5.1 of RFC 6749](https://datatracker.ietf.org/doc/html/rfc6749#section-5.1).","properties":{"access_token":{"type":"string","description":"The Base64 encoded access token."},"token_type":{"type":"string","description":"The type of access token returned. The only supported type is \"Bearer\"."},"scope":{"type":"string","description":"The scopes that have been granted for the client.\n\nThis field is omitted if the client did not request any specific scopes,\nin which case the default scopes for the client will have been granted.\n"},"expires_in":{"type":"integer","format":"int64","description":"The time in seconds until the access token is no longer valid."}}},"OAuth2Error":{"type":"object","description":"See [Section 5.2 of RFC 6749](https://datatracker.ietf.org/doc/html/rfc6749#section-5.2)","properties":{"error":{"type":"string","description":"OAuth 2.0 error code defined in RFC 6749 Section 5.2."},"error_description":{"type":"string","description":"Human-readable description of the error."},"error_uri":{"type":"string","format":"uri","description":"A URI identifying a human-readable web page with information about the error."}}}},"responses":{"BadRequest":{"description":"The token request was invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAuth2Error"}}}},"Unauthorized":{"description":"The client credentials are invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAuth2Error"}}}}}},"paths":{"/token":{"post":{"summary":"Request an access token.","description":"Obtain an access token that can be used to authorize Collibra API calls.","operationId":"requestToken","tags":["OAuth 2 Authorization"],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/AccessTokenRequest"}}}},"responses":{"200":{"description":"Token successfully generated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessTokenResponse"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/oauth/oauth-2-authorization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
